summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-8
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2005-01-13 12:19:26 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:12:03 +0200
commit9e120e5b7e8fae62908a95fdc9f080f146027f0f (patch)
treef4141f28e544df88939ce8491e57b7dc8a01ca53 /gettext-tools/tests/xgettext-8
parentc9507846c61795685be27aa4662311258857b6b7 (diff)
downloadexternal_gettext-9e120e5b7e8fae62908a95fdc9f080f146027f0f.zip
external_gettext-9e120e5b7e8fae62908a95fdc9f080f146027f0f.tar.gz
external_gettext-9e120e5b7e8fae62908a95fdc9f080f146027f0f.tar.bz2
Test -j option with charset conversion from ISO-8859-1 to UTF-8.
Diffstat (limited to 'gettext-tools/tests/xgettext-8')
-rwxr-xr-xgettext-tools/tests/xgettext-879
1 files changed, 79 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-8 b/gettext-tools/tests/xgettext-8
new file mode 100755
index 0000000..f39a7b4
--- /dev/null
+++ b/gettext-tools/tests/xgettext-8
@@ -0,0 +1,79 @@
+#! /bin/sh
+
+# Test -j option with charset conversion from ISO-8859-1 to UTF-8.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-test8.po"
+cat <<\EOF > xg-test8.po
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2004-10-22 12:39+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: fifo.c:4
+msgid "@(#)fifo.c\t1.56 04/10/10 Copyright 1989, 1994-2003 Jörg Schilling"
+msgstr "ö"
+EOF
+
+tmpfiles="$tmpfiles xg-test8.in.c"
+cat <<EOF > xg-test8.in.c
+_("extract me")
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} -a -j -o xg-test8.po xg-test8.in.c
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-test8.pot"
+sed -e '/POT-Creation-Date/d' < xg-test8.po > xg-test8.pot
+
+tmpfiles="$tmpfiles xg-test8.ok"
+cat <<\EOF > xg-test8.ok
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: fifo.c:4
+msgid "@(#)fifo.c\t1.56 04/10/10 Copyright 1989, 1994-2003 Jörg Schilling"
+msgstr "ö"
+
+#: xg-test8.in.c:1
+msgid "extract me"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-test8.ok xg-test8.pot
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result